SystemOrganization addCategory: #'GT-Scenery'!

Object subclass: #Scenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

Scenery subclass: #GTInspectorColorScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorColorScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/18/2014 22:00'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 2.0; 
		parent: #Scenery;
		label: 'Inspector - Color';
		action:[self new setUp]! !

!GTInspectorColorScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:59'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'Color indexedColors atRandom') maximize! !

Scenery subclass: #GTInspectorDictionaryScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorDictionaryScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/18/2014 22:00'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 1.0; 
		parent: #Scenery;
		label: 'Inspector - Dictionary';
		action:[self new setUp]! !

!GTInspectorDictionaryScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:58'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '{
	#number -> 42 . 
	#string -> ''fourty-two'' . 
	#date -> Date today } 
		asDictionary') maximize! !

Scenery subclass: #GTInspectorInspectorItselfScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorItselfScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/18/2014 22:01'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 5.0; 
		parent: #Scenery;
		label: 'Inspector - Inspector';
		action:[self new setUp]! !

!GTInspectorInspectorItselfScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:01'!
setUp
	self cleanWindows.
	(GTPlayground openContents: 'GTInspector') maximize! !

Scenery subclass: #GTInspectorInspectorSizeScenery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GT-Scenery'!

!GTInspectorInspectorSizeScenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/18/2014 22:04'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: self name)
		order: 10.0; 
		parent: #Scenery;
		label: 'Inspector - Inspector size';
		action:[self new setUp]! !

!GTInspectorInspectorSizeScenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 22:07'!
setUp
	self cleanWindows.
	(GTPlayground openContents: '(RPackageOrganizer default packageNamed: #''GT-Inspector'') linesOfCode + 
((RPackageOrganizer default packages 
	select: [:each | each name beginsWith: ''GT-InspectorExtensions'']) 
		sum: #linesOfCode)') maximize! !

!Scenery class methodsFor: 'as yet unclassified' stamp: 'TudorGirba 5/18/2014 20:31'!
menuCommandOn: aBuilder
	<worldMenu>
	(aBuilder item: #Scenery)
		order: 7.0; 
		withSeparatorAfter! !

!Scenery methodsFor: 'utilities' stamp: 'TudorGirba 5/18/2014 21:56'!
cleanWindows
	(World submorphs 
		select: [ :each | each isKindOf: SystemWindow ])
		do: #delete! !

!Scenery methodsFor: 'setUp' stamp: 'TudorGirba 5/18/2014 21:54'!
setUp
	! !
